body {
    margin: 0;
    font-family: 'Carter One';
}

.bg {
    background: linear-gradient(rgb(0, 0, 0), white);
    height: fit-content;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin: 0;
    min-height: 67.5vh;
}

.pokemon-card {
    margin: 2%;
}

.pokemon-info-content {
    box-shadow: 0 1px 1px rgb(0 0 0 / 12%), 0 2px 2px rgb(0 0 0 / 12%), 0 4px 4px rgb(0 0 0 / 12%), 0 8px 8px rgb(0 0 0 / 12%), 0 16px 16px rgb(0 0 0 / 12%);
    height: fit-content;
    transition: 0.3s ease-in-out;
    border-radius: 10px;
    cursor: pointer;
    border: 2px solid black;
    object-fit: cover;
    min-width: 250px;
    background-color: white;
}

.pokemon-info-content:hover {
    transform: scale(1.03);
}

.pokemon-name-id-space-between {
    display: flex;
    justify-content: space-between;
    padding: 5%;
    font-size: 25px;
}

#pokemon-name {
    color: white;
    text-transform: capitalize;
}

#pokemon-id {
    color: white;
}

#pokemon-types {
    color: white;
    padding-bottom: 5%;
    text-align: center;
}

.pokemon-pic {
    display: flex;
    justify-content: center;
}

#pokemon-pic {
    height: 200px;
    width: 200px;
    position: relative;
    padding: 5%;
}

p {
    margin: 0;
    font-size: 20px;
}

.current-pokemon-card {
    box-shadow: 0 1px 1px rgb(0 0 0 / 12%), 0 2px 2px rgb(0 0 0 / 12%), 0 4px 4px rgb(0 0 0 / 12%), 0 8px 8px rgb(0 0 0 / 12%), 0 16px 16px rgb(0 0 0 / 12%);
    height: fit-content;
    transition: 0.3s ease-in-out;
    border-radius: 10px;
    cursor: pointer;
    border: 2px solid black;
    object-fit: cover;
    min-width: 350px;
    background-color: white;
}

.type-height-weight-space-around {
    font-size: 25px;
    color: transparent;
}

.type-height-weight-space-around table {
    width: 100%;
}

.type-height-weight-space-around tr {
    display: flex;
    justify-content: space-between;
}

.current-pokemon-name {
    color: white;
    font-size: 36px;
    display: flex;
    justify-content: center;
    padding: 5%;
}

.current-pokemon-pic {
    display: flex;
    justify-content: center;
}

#current-pokemon-pic {
    height: 250px;
    width: 250px;
    top: 10px;
    position: relative;
}

.current-pokemon-stats-table table {
    width: 100%;
}

.current-pokemon-stats-table tr {
    display: flex;
    justify-content: space-between;
}

.table-placeholder {
    margin-top: 10px;
}


.pokemon-set {
    margin: 2%;
    flex: 1;
}

.header {
    font-family: 'Carter One';
    font-size: 32px;
    justify-content: space-between;
    align-items: center;
    display: flex;
    margin: 0;
    background-image: url(./img/pokeball-g1eae52e5c_1920.jpg);
    background-size: cover;
    background-position: 0% 55%;
    border: 2px solid black;
    color: #FECB05;
    text-shadow: #395FAA 0.1em 0.1em 0.2em;
    padding: 0% 5% 0% 5%;
}

.header img {
    height: 80px;
    width: 80px;
    cursor: pointer;
    transition: 0.3s ease-in-out;
}

.header img:hover {
    transform: scale(1.15);
}

.pokemon-selection {
    position: fixed;
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    backdrop-filter: blur(10px) saturate(50%) brightness(50%);
    overflow: auto;
    opacity: 1;
    z-index: 1;
}

.show-pokemon {
    width: 90%;
    height: 90vh;
    border: 2px solid black;
    border-radius: 5%;
    object-fit: cover;
    min-width: -webkit-fill-available;
}

.d-none {
    display: none !important;
}

.close-selection {
    background-color: white;
    border-radius: 10px;
    border: black solid 2px;
    position: absolute;
    top: 5vh;
    left: 90%;
    cursor: pointer;
    height: 50px;
}

.arrow-left {
    background-color: white;
    border-radius: 10px;
    border: black solid 2px;
    position: absolute;
    right: 90%;
    top: 45vh;
    cursor: pointer;
    height: 50px;
}

.arrow-right {
    background-color: white;
    border-radius: 10px;
    border: black solid 2px;
    position: absolute;
    left: 90%;
    top: 45vh;
    cursor: pointer;
    height: 50px;
}

.overflow-hidden {
    overflow: hidden;
}

.current-pokemon-stats {
    display: flex;
    margin: 2%;
    padding: 2%;
    color: black;
    background-color: white;
    border: 1px solid black;
    border-radius: 10px;
}

.current-pokemon-stats:hover {
    cursor: pointer;
    color: white;
    background-color: black;
}

.type-height-weight-stats {
    display: flex;
    margin: 2%;
    padding: 2%;
    color: white;
    background-color: transparent;
    border: 1px solid rgb(255, 255, 255);
    border-radius: 10px;
    font-size: 20px;
}

.type-height-weight-stats:hover {
    color: #FECB05;
    text-shadow: #395FAA 0.1em 0.1em 0.2em;
}

/* Loading Screen */

#loading-screen {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: absolute;
    z-index: 5;
    background-color: black;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.loading-img {
    animation: linear infinite;
    animation-name: pokeball;
    animation-duration: 3s;
    position: relative;
    top: 10vh;
    height: 100px;
    width: 100px;
    animation-timing-function: ease-in-out;
}

.loading-text {
    color: #FECB05;
    text-shadow: #395FAA 0.1em 0.1em 0.2em;
    font-size: 50px;
    text-align: center;
    position: relative;
    top: -10vh;
}

@keyframes pokeball {
    0% {
        transform: rotate(0deg);
        left: -15vh;
    }

    50% {
        transform: rotate(1200deg);
        left: 15vh;
    }

    100% {
        transform: rotate(0deg);
        left: -15vh;
    }
}

.load-button {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 2%;
    gap: 5%;
}

.load-button button {
    height: 50px;
    width: fit-content;
    background-color: white;
    border-radius: 10px;
    border: black solid 2px;
    font-size: 25px;
    font-family: 'Carter One';
    color: black;
}

.load-button button:hover {
    background-color: black;
    color: white;
}